<?php

namespace App\Http\Resources;

use Illuminate\Http\Resources\Json\JsonResource;

class UserResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return array|\Illuminate\Contracts\Support\Arrayable|\JsonSerializable
     */
    public function toArray($request)
    {
        try{
            return [
                'id' => $this->id,
                'name' => $this->name,
                'email' => $this->email,
                'is_manager' => $this->is_manager,
                'role_id' => $this->role_id
            ];
        }
        catch(\Exception $e){
            return [];
            //dd($e);
        }
    }
}
